Page MenuHomeFreeBSD

loader: support com.delphix:removing
ClosedPublic

Authored by tsoome on Jan 19 2019, 9:03 PM.

Details

Summary

The first iteration of reader code update to support device removal.

Note, since this update depends more onn memory, the zfsboot/gptzfsboot will
need side work to support proper memory management from libsa.

illumos issue 10166 and review

Test Plan

use zpool remove to remove vdev, then read the pool with loader...

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 25708
Build 24291: arc lint + arc unit

Event Timeline

tsoome created this revision.Jan 19 2019, 9:03 PM
tsoome updated this revision to Diff 60516.Aug 6 2019, 8:17 PM
tsoome edited the summary of this revision. (Show Details)

read vim_entries by chunks.

tsoome edited the summary of this revision. (Show Details)Aug 6 2019, 8:20 PM
allanjude accepted this revision.Aug 8 2019, 5:49 PM
allanjude added a subscriber: allanjude.

Thank you very much for making this work.

We should get this merged in time for 12.1-RELEASE

This revision is now accepted and ready to land.Aug 8 2019, 5:49 PM
This revision was automatically updated to reflect the committed changes.